<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>GCM API(export-csv-for-gbs) Client</title>
<script type="text/javascript" src="common.js"></script>
<script type="text/javascript">
<!--
function executeHttpRequest() {
  // define
  var url = "/api/v2/export-csv-for-gbs";

  // get form values.
  var sessionID  = document.getElementById("sessionID").value;    // alert(sessionID);
  var Type       = document.getElementById("Type").value;         // alert(Type);
  var dateAfter  = document.getElementById("dateAfter").value;    // alert(dateAfter);
  var dateBefore = document.getElementById("dateBefore").value;   // alert(dateBefore);

  // set callback function
  var req = new XMLHttpRequest();
  if (req) {
    req.onreadystatechange = function(){
      var objResponseStatus = document.getElementById("restResponseStatus");
      var objResponse = document.getElementById("restResponse");
      if (req.readyState == 4) {
        objResponseStatus.textContent = req.status;
        objResponse.textContent = req.responseText;
      } else {
        objResponseStatus.textContent = '';
        objResponse.textContent = '';
      }
    };
  }

  // build request-path(include query string)
  var strRequest = url;
  strRequest = strRequest + "?type="        + Type;
  strRequest = strRequest + "&date-after="  + dateAfter;
  strRequest = strRequest + "&date-before=" + dateBefore;

  // disp request-path
  var objRequestPath = document.getElementById("requestPath");
  objRequestPath.textContent = strRequest;

  // executes http-request
  req.open('GET', strRequest, true);
  req.setRequestHeader("session-id", sessionID);
  req.send(null);

  alert("Submit(GET) Complete.");
}
//-->
</script>
</head>
<body>
<h1>Export CSV for GBS</h1>
<h2>Request</h2>
<form name="fm">
<table><tbody>
<tr><td align="right">SessionID:</td><td><input type="text" id="sessionID" size="30"><input type="button" onClick="document.getElementById('sessionID').value=getSessionId()" value="[GetSession]"></td></tr>
<tr><td align="right">Type:</td><td><SELECT id="Type"><OPTION value="billing-account">billing-account</OPTION><OPTION value="contract-account">contract-account</OPTION></SELECT></td></tr>
<tr><td align="right">Date After:</td><td><input type="text" id="dateAfter" size="30"></td></tr>
<tr><td align="right">Date Before:</td><td><input type="text" id="dateBefore" size="30"></td></tr>
</tbody></table>
<input type="button" onClick="executeHttpRequest()" value="Submit">
</form>
<br>
RequestPath&nbsp;->&nbsp;<span id="requestPath"></span>
<hr>

<h2>Response</h2>
StatusCode: <span id="restResponseStatus"></span>
<pre><span id="restResponse"></span></pre>

</body>

</html>